aboutsummaryrefslogtreecommitdiff
path: root/local/bin/allsync
diff options
context:
space:
mode:
Diffstat (limited to 'local/bin/allsync')
-rwxr-xr-xlocal/bin/allsync6
1 files changed, 5 insertions, 1 deletions
diff --git a/local/bin/allsync b/local/bin/allsync
index e5bb633..db64b4e 100755
--- a/local/bin/allsync
+++ b/local/bin/allsync
@@ -126,4 +126,8 @@ sec "Passwords"
pass git pull || fail "Passwords pull failed"
pass git push || fail "Passwords push failed"
-exit $ecode
+if [ "${AUTORUN:-n}" = "y" ]; then
+ echo "Reported failure exit code: $ecode" >&2
+else
+ exit $ecode
+fi